default:
  image:
    name: l.gcr.io/google/bazel:latest
    entrypoint: [""]
  before_script:
    - echo "build --disk_cache=$CI_PROJECT_DIR/.cache" >> /etc/bazel.bazelrc

cache:
  key: bazel_cache
  paths:
    - .cache/

stages:
  - build
  - push

build:
  stage: build
  script:
    - bazel build ...

push:
  stage: push
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - bazel run //:images.push
  only:
    - master
